Subject: [Anima] WARREN: PLS reply: another fix to BRSKI in RFC editor queue.

From: Toerless Eckert <[email-masked]>
Date: Tue, 10 Nov 2020 16:49:46 +0100

Warren:

MichalR would like to push a a draft-ietf-bootstrap-remote-keyinfra-45 update
to datatracker because we missed out IANA request text for the GRASP objectives
used by BRSKI. This only makes sense when you will then immediately approve
the update, and we can accordingly trigger IANA to add the registry entries.

Otherwise we would AFAIK have just an extended discuss later on towards AUTH48.

Target Diff here:
  https://github.com/anima-wg/anima-bootstrap/commit/622ab481b84c55782d0e0fbe5d3526063c5dbc9c

Please advise if / how to go ahead with this (e.g.: upload after embargo lift,
then you will approve ?)

Cheers
    Toerless

On Fri, Nov 06, 2020 at 10:12:10PM -0500, Michael Richardson wrote:
> 
> Toerless Eckert <[email-masked]> wrote:
>     > Kiding aside: Who needs to take which action now ?
> 
> I think that Warren needs to approve this update.
> 1) He could green-light an update/upload to the DT despite the embargo.
> 2) Probably needs to tell the RFC-editor that this change is approved.
> 3) Notify IANA that we missed an instruction.
> 
> If the RPC has already started editing the document (crossed fingers for
> yes), then the diff will be more valuable to them than an updated XML.
> 
> The lone diff is at:
> 
> https://github.com/anima-wg/anima-bootstrap/commit/622ab481b84c55782d0e0fbe5d3526063c5dbc9c
> 
>     > On Fri, Nov 06, 2020 at 04:15:21PM -0500, Michael Richardson wrote:
>     >>
>     >> Toerless Eckert <[email-masked]> wrote:
>     >> > Am i completeley confused, or did we miss until now the IANA request in BRSKI for
>     >> > the new entries AN_Proxy and AN_join_registrar ?
>     >>
>     >> I dunno what happened.
>     >> But, you are exactly right.
>     >> Who to blame? when in doubt? clearly, BLAME CANADA.
>     >>
>     >> It wasn't until my third reading of:
>     >> grasp-15, section 6, https://datatracker.ietf.org/doc/html/draft-ietf-anima-grasp-15#section-6
>     >>
>     >> that I saw that GRASP actually does create a _GRASP Objective Names Tables_.
>     >> I was going to complain that there was no registry created, but it just
>     >> didn't have it's own heading:
>     >>
>     >> GRASP Objective Names Table.  The values in this table are UTF-8
>     >> strings which MUST NOT include a colon (":"), according to
>     >> Section 2.10.1.  Future values MUST be assigned using the
>     >> Specification Required policy defined by [RFC8126].
>     >>
>     >> To assist expert review of a new objective, the specification should
>     >> include a precise description of the format of the new objective,
>     >> with sufficient explanation of its semantics to allow independent
>     >> implementations.  See Section 2.10.3 for more details.  If the new
>     >> objective is similar in name or purpose to a previously registered
>     >> objective, the specification should explain why a new objective is
>     >> justified.
>     >>
>     >> > I was just checking IANA actions for ACP and did not see these two in the GRASP
>     >> > registry:
>     >>
>     >> > https://www.ietf.org/archive/id/draft-ietf-anima-bootstrapping-keyinfra-44.txt
>     >>
>     >> > Not sure about the process, e.g.: if "specification required" (GRASP registry)
>     >> > mandates the IANA text in the BRSKI RFC... I fear it does ? If three is an easier
>     >> > way as having Warren approve another rev... ?
>     >>
>     >> I think that the text has to go in.
>     >> Warren needs to approve the change, and IANA needs to review, and then the
>     >> text needs to go in now or at AUTH48, depending upon where the RPC really is.
>     >>
>     >> I have version -45 ready to post, diffs are at:
>     >>
>     >> I think that this is non-constroversial, does not require a WG LC, and can
>     >> slide in at AUTH48, but as it required IANA review, it's better if it happens
>     >> sooner.
>     >>
>     >> It looks like the YANG is now 2-3 characters too long in places, so I've also
>     >> rewrapped that.  The base64 in the examples will also need to be reflowed
>     >> ick.
>     >>
>     >> https://www.ietf.org/rfcdiff?url1=draft-ietf-anima-bootstrapping-keyinfra-44&url2=https://raw.githubusercontent.com/anima-wg/anima-bootstrap/master/dtbootstrap-anima-keyinfra.txt
>     >>
>     >> --
>     >> ]               Never tell me the odds!                 | ipv6 mesh networks [
>     >> ]   Michael Richardson, Sandelman Software Works        |    IoT architect   [
>     >> ]     [email-masked]  http://www.sandelman.ca/        |   ruby on rails    [
>     >>
>     >>
>     >>
>     >>
>     >>
>     >>
>     >>
>     >> --
>     >> Michael Richardson <[email-masked]>   . o O ( IPv6 IøT consulting )
>     >> Sandelman Software Works Inc, Ottawa and Worldwide
>     >>
>     >>
>     >>
>     >>
> 
> 
> 
>     > --
>     > ---
>     > [email-masked]
> 
> --
> Michael Richardson <[email-masked]>   . o O ( IPv6 IøT consulting )
>            Sandelman Software Works Inc, Ottawa and Worldwide
> 
> 
> 
> 

-- 
---
[email-masked]

---

From: Warren Kumari <[email-masked]>
Date: Tue, 10 Nov 2020 10:58:31 -0500

Cut a new version, and then:
1: upload after embargo lifts or
2: mail it to the secretariat, letting them know that I approved an
out of cycle posting. Please CC me so I can reply with an ACK.

Once it is posted, we should email IANA and RFC Ed, letting them know
that we are doing something unusual...

Thanks all,
W

-- 
I don't think the execution is relevant when it was obviously a bad
idea in the first place.
This is like putting rabid weasels in your pants, and later expressing
regret at having chosen those particular rabid weasels and that pair
of pants.
   ---maf

---

From: Michael Richardson <[email-masked]>
Date: Tue, 10 Nov 2020 15:27:12 -0500

> out of cycle posting. Please CC me so I can reply with an ACK.

I have done this.

> that we are doing something unusual...

Yes.